Skip to main content
POST
/
grp
/
get_all
cURL
curl --request POST \
  --url https://{portalApiUrl}/grp/get_all \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": 0,
  "limit": 5,
  "criterias": []
}
'
{
  "status": true,
  "total": 123,
  "result": [
    {
      "grp_id": 123,
      "grp_name": "<string>",
      "grp_description": "<string>",
      "grp_parent_id": 123,
      "grp_external_id": "<string>",
      "grp_external_name": "<string>",
      "grp_created_date": "2023-11-07T05:31:56Z",
      "grp_updated_date": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Body

application/json
start
integer
default:0

Offset for pagination

limit
integer
default:10

Maximum number of records to return

criterias
object[]

List of filter criteria

Response

list of groups

status
boolean
total
integer
result
object[]